package com.jetbyte.cache8;

public class NullCache extends CacheImpl
{
   public NullCache(String name)
   {
      super(name, NullCache.class.getName());
   }

   protected Object findObject(Cache.Key key)
   {      
      return null;
   }

   protected void addObject(Cache.Key key, Object obj)
   {
   }

   protected void removeObject(Cache.Key key)
   {
   }

   synchronized public int entries()
   {
      return 0;
   }

   protected void flushCache()
   {
   }
}
